org.apache.poi.xssf.usermodel.extensions

## Class XSSFCellBorder

- java.lang.Object
- - org.apache.poi.xssf.usermodel.extensions.XSSFCellBorder

-     public class XSSFCellBorder
      extends java.lang.Object

  This element contains border formatting information, specifying border definition formats (left, right, top, bottom, diagonal) for cells in the workbook. Color is optional.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `XSSFCellBorder.BorderSide` The enumeration value indicating the side being used for a cell border.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSSFCellBorder()` Creates a new, empty Cell Border.
    `XSSFCellBorder(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTBorder border)` Creates a Cell Border from the supplied XML definition
    `XSSFCellBorder(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTBorder border, IndexedColorMap colorMap)`
    `XSSFCellBorder(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTBorder border, ThemesTable theme, IndexedColorMap colorMap)` Creates a Cell Border from the supplied XML definition

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `XSSFColor` | `getBorderColor(XSSFCellBorder.BorderSide side)` Get the color to use for the selected border
    `BorderStyle` | `getBorderStyle(XSSFCellBorder.BorderSide side)` Get the type of border to use for the selected border
    `org.openxmlformats.schemas.spreadsheetml.x2006.main.CTBorder` | `getCTBorder()` Returns the underlying XML bean.
    `int` | `hashCode()`
    `void` | `setBorderColor(XSSFCellBorder.BorderSide side, XSSFColor color)` Set the color to use for the selected border
    `void` | `setBorderStyle(XSSFCellBorder.BorderSide side, BorderStyle style)` Set the type of border to use for the selected border
    `void` | `setThemesTable(ThemesTable themes)` Records the Themes Table that is associated with the current font, used when looking up theme based colours and properties.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSSFCellBorder

          public XSSFCellBorder(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTBorder border,
                                ThemesTable theme,
                                IndexedColorMap colorMap)

      Creates a Cell Border from the supplied XML definition
      Parameters:
        `border` - The ooxml object for the border
        `theme` - The related themes
        `colorMap` - The global map of colors

    - #### XSSFCellBorder

          public XSSFCellBorder(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTBorder border)

      Creates a Cell Border from the supplied XML definition
      Parameters:
        `border` - The ooxml object for the border

    - #### XSSFCellBorder

          public XSSFCellBorder(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTBorder border,
                                IndexedColorMap colorMap)

      Parameters:
        `border` - The ooxml object for the border
        `colorMap` - The global map of colors

    - #### XSSFCellBorder

          public XSSFCellBorder()

      Creates a new, empty Cell Border. You need to attach this to the Styles Table

  - ### Method Detail

    - #### setThemesTable

          public void setThemesTable(ThemesTable themes)

      Records the Themes Table that is associated with the current font, used when looking up theme based colours and properties.

    - #### getCTBorder

          @Internal
          public org.openxmlformats.schemas.spreadsheetml.x2006.main.CTBorder getCTBorder()

      Returns the underlying XML bean.
      Returns:
        CTBorder

    - #### getBorderStyle

          public BorderStyle getBorderStyle(XSSFCellBorder.BorderSide side)

      Get the type of border to use for the selected border
      Parameters:
        `side` - - - where to apply the color definition
      Returns:
        borderstyle - the type of border to use. default value is NONE if border style is not set.
      See Also:
        `BorderStyle`

    - #### setBorderStyle

          public void setBorderStyle(XSSFCellBorder.BorderSide side,
                                     BorderStyle style)

      Set the type of border to use for the selected border
      Parameters:
        `side` - - - where to apply the color definition
        `style` - - border style
      See Also:
        `BorderStyle`

    - #### getBorderColor

          public XSSFColor getBorderColor(XSSFCellBorder.BorderSide side)

      Get the color to use for the selected border
      Parameters:
        `side` - - where to apply the color definition
      Returns:
        color - color to use as XSSFColor. null if color is not set

    - #### setBorderColor

          public void setBorderColor(XSSFCellBorder.BorderSide side,
                                     XSSFColor color)

      Set the color to use for the selected border
      Parameters:
        `side` - - where to apply the color definition
        `color` - - the color to use

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.